Subject: Hanover Compression Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Jul 1999 10:13:00 -0700 (PDT)

Ken,  Attached is a revised draft of the Hanover Agreement based on all our 
discussions to date.  Please review.  I would prefer one more internal review 
prior to forwarding to Hanover.  Please note where information is still 
needed concerning the specific units for the schedule forms.  Sorry for the 
delay.